Name: libetonyek
Version: 0.0.3
Release: alt0.M70P.1
Summary: A library for import of Apple Keynote presentations

Group: System/Libraries
License: MPLv2.0
Url: http://www.freedesktop.org/wiki/Software/libetonyek/
Source: http://dev-www.libreoffice.org/src/%name-%version.tar.xz
Patch1: libetonyek-0.0.3-boost-1.53.patch

BuildRequires: cppunit-devel

# Automatically added by buildreq on Wed Mar 19 2014
# optimized out: boost-devel boost-devel-headers gnu-config libcloog-isl4 libstdc++-devel pkg-config xz
BuildRequires: boost-filesystem-devel doxygen gcc-c++ gperf libwpd9-devel libxml2-devel zlib-devel

%description
libetonyek is library providing ability to interpret and import Apple
Keynote presentations into various applications. Only version 5 is
supported at the moment, although versions 2-4 should work.

%package devel
Summary: Development files for %name
Group: Development/C++

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package doc
Summary: Documentation of %name API
Group: Documentation
BuildArch: noarch

%description doc
The %name-doc package contains documentation files for %name.

%package tools
Summary: Tools to transform Apple Keynote presentations into other formats
Group: Development/C++

%description tools
Tools to transform Apple Keynote presentations into other formats.
Currently supported: XHTML, raw, text.

%prep
%setup
%patch1 -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
make install DESTDIR=%buildroot
rm -f %buildroot/%_libdir/*.la
# we install API docs directly from build
rm -rf %buildroot/%_docdir/%name

%check
export LD_LIBRARY_PATH=%buildroot/%_libdir${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make check

%files
%doc AUTHORS COPYING FEATURES NEWS README
%_libdir/*.so.*

%files devel
%doc ChangeLog
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files doc
%doc COPYING
%doc docs/doxygen/html

%files tools
%_bindir/key2raw
%_bindir/key2text
%_bindir/key2xhtml

%changelog
* Tue Apr 01 2014 Gleb F-Malinovskiy <glebfm@altlinux.org> 0.0.3-alt0.M70P.1
- Backport to p7 branch (new LibreOffice4).

* Wed Mar 19 2014 Fr. Br. George <george@altlinux.ru> 0.0.3-alt1
- Initial build from FC

* Fri Dec 06 2013 David Tardon <dtardon@redhat.com> - 0.0.3-1
- new release

* Wed Dec 04 2013 David Tardon <dtardon@redhat.com> - 0.0.2-1
- new release

* Mon Nov 04 2013 David Tardon <dtardon@redhat.com> - 0.0.1-1
- new release

* Wed Oct 30 2013 David Tardon <dtardon@redhat.com> 0.0.0-1
- initial import
